package gui.helper;

import helper.SmallHelpers;

import java.awt.Color;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JEditorPane;

/**
 * This class defines a KeyListener for every EditorPane used in ProFiDo. It is needed to prohibit certain characters.
 */
public class ProFiDoEditorPaneKeyListener implements KeyListener {

	/**
	 * Reference to the JEditorPane.
	 */
	private JEditorPane editorPane;

	public ProFiDoEditorPaneKeyListener(JEditorPane editor) {

		this.editorPane = editor;
	}

	@Override
	public void keyTyped(KeyEvent arg0) {

	}

	@Override
	public void keyReleased(KeyEvent arg0) {

		this.editorPane.setBackground(Color.WHITE);

	}

	@Override
	public void keyPressed(KeyEvent arg0) {
		if (!arg0.isActionKey() && arg0.getKeyCode() != KeyEvent.VK_SHIFT
				&& arg0.getKeyCode() != KeyEvent.VK_CONTROL
				&& arg0.getKeyCode() != KeyEvent.VK_ALT
				&& arg0.getKeyCode() != KeyEvent.VK_ALT_GRAPH
				&& arg0.getKeyCode() != KeyEvent.VK_BACK_SPACE
				&& arg0.getKeyCode() != KeyEvent.VK_ENTER) {

			if (!SmallHelpers.isCharValid(arg0.getKeyChar(), "")) {

				this.editorPane.setBackground(new Color(0xFFC7C7));

			}
		}
	}

}