package gui.helper;

import helper.SmallHelpers;

import javax.swing.JTextField;
import javax.swing.text.Document;

/**
 * This class defines a TextField which is used for all TextFields in ProFiDo. 
 */
public class ProFiDoTextField extends JTextField {

	private static final long serialVersionUID = 1L;

	public ProFiDoTextField() {
		super();
		this.setDocument(new ProfidoDocument());
		this.setToolTipText(this.getToolTipTextProfido());
		this.addKeyListener(new ProFiDoTextFieldKeyListener(this));

	}

	public ProFiDoTextField(int columns) {
		super();
		this.setDocument(new ProfidoDocument());
		this.setColumns(columns);
		this.setToolTipText(this.getToolTipTextProfido());
		this.addKeyListener(new ProFiDoTextFieldKeyListener(this));
	}

	public ProFiDoTextField(String text) {

		super();
		this.setDocument(new ProfidoDocument());
		this.setText(text);
		this.setToolTipText(this.getToolTipTextProfido());
		this.addKeyListener(new ProFiDoTextFieldKeyListener(this));

	}

	public ProFiDoTextField(String text, int columns) {

		super();
		this.setDocument(new ProfidoDocument());
		this.setText(text);
		this.setColumns(columns);
		this.setToolTipText(this.getToolTipTextProfido());
		this.addKeyListener(new ProFiDoTextFieldKeyListener(this));
	}

	public ProFiDoTextField(Document doc, String text, int columns) {
		super();
		this.setDocument(doc);
		this.setText(text);
		this.setColumns(columns);
		this.setToolTipText(this.getToolTipTextProfido());
		this.addKeyListener(new ProFiDoTextFieldKeyListener(this));
	}

	/*
	 * @Override public void setText(String text) { // Ensure that only valid
	 * text can be stored in text field
	 * super.setText(SmallHelpers.removeAllInvalidChars(text)); }
	 */

	/**
	 * This method creates a toolTip text for all TextFields.
	 */
	public String getToolTipTextProfido() {

		return "Only the following characters are allowed: "
				+ SmallHelpers.characterRegExp.replace("\\", "");
	}

}
