package gui.helper;

import helper.SmallHelpers;

import java.awt.Color;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JTextField;

/**
 * This class defines the ProFiDoTextFieldKeyListener which is needed to prohibit certain characters
 */
public class ProFiDoTextFieldKeyListener implements KeyListener {

	/**
	 * Reference to the JTextField that the KeyListener is observing.
	 */
	private JTextField textpanel;

	/**
	 * Constructor to create a ProFiDoTextFieldKeyListener object.
	 */
	public ProFiDoTextFieldKeyListener(JTextField field) {
		this.textpanel = field;
	}

	@Override
	public void keyTyped(KeyEvent arg0) {

	}

	@Override
	public void keyReleased(KeyEvent arg0) {

		this.textpanel.setBackground(Color.WHITE);

	}

	@Override
	public void keyPressed(KeyEvent arg0) {
		if (!arg0.isActionKey() && arg0.getKeyCode() != KeyEvent.VK_SHIFT
				&& arg0.getKeyCode() != KeyEvent.VK_CONTROL
				&& arg0.getKeyCode() != KeyEvent.VK_ALT
				&& arg0.getKeyCode() != KeyEvent.VK_ALT_GRAPH
				&& arg0.getKeyCode() != KeyEvent.VK_BACK_SPACE
				&& arg0.getKeyCode() != KeyEvent.VK_ENTER) {

			if (!SmallHelpers.isCharValid(arg0.getKeyChar(), "")) {

				this.textpanel.setBackground(new Color(0xFFC7C7));

			}
		}
	}

}
