/*
 * 
 * ProFiDo - The Processes Fitting Toolkit Dortmund
 * Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

package gui.helper;

import java.util.TimerTask;

import javax.swing.ToolTipManager;

/**
 * This TimerTask sets all tooltip timings according to the passed values upon
 * execution.
 */
public class RestoreToolTipTimingsTimerTask extends TimerTask {
	
	/**
	 * Represents the initial delay for toolTips.
	 */
	int toolTipInitialDelay;
	
	/**
	 * Represents the time it takes to reshow toolTips.
	 */
	int toolTipReshowDelay;
	
	/**
	 * Represents the time till toolTips disappear. 
	 */
	int toolTipDismissDelay;

	/**
	 * Constructor to create a RestoreToolTipTimingsTimerTask object.
	 */
	public RestoreToolTipTimingsTimerTask(int toolTipInitialDelay,
			int toolTipReshowDelay, int toolTipDismissDelay) {
		this.toolTipInitialDelay = toolTipInitialDelay;
		this.toolTipReshowDelay = toolTipReshowDelay;
		this.toolTipDismissDelay = toolTipDismissDelay;
	}

	@Override
	public void run() {
		ToolTipManager.sharedInstance().setDismissDelay(
				this.toolTipDismissDelay);
		ToolTipManager.sharedInstance().setInitialDelay(
				this.toolTipInitialDelay);
		ToolTipManager.sharedInstance().setReshowDelay(this.toolTipReshowDelay);
	}

}
