/*
 * 
 * ProFiDo - The Processes Fitting Toolkit Dortmund
 * Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

package helper;

import javax.swing.UIManager;

/**
 * This class is used to store and manage the texts and captions used by the
 * gui. It ensures centralized maintainability and easier localization to
 * different languages.
 */
public class LanguageManager {

	/**
	 * This method sets all relevant default system captions and button texts.
	 */
	public static void setSystemButtonAndCaptionTexts() {
		/*
		 * For more information about possible key value pairs please refer to:
		 * http://www.java2s.com/Tutorial/Java/
		 * 0240__Swing/CustomizingaJFileChooserLookandFeel.htm
		 * http://www.java2s.
		 * com/Tutorial/Java/0240__Swing/CustomizingaJOptionPaneLookandFeel.htm
		 */

		UIManager.put("FileChooser.openButtonText", "Open");
		UIManager.put("FileChooser.cancelButtonText", "Cancel");
		UIManager.put("FileChooser.saveButtonText", "Save");
		UIManager.put("FileChooser.cancelButtonToolTipText", "Cancel");
		UIManager.put("FileChooser.saveButtonToolTipText", "Save");
		UIManager.put("FileChooser.openButtonToolTipText", "Open");
		UIManager.put("FileChooser.newFolderButtonText", "New Folder");
		// UIManager.put("FileChooser.lookInLabelText", "");
		UIManager.put("FileChooser.fileNameLabelText", "File Name:");
		UIManager.put("FileChooser.filesOfTypeLabelText", "File Type:");
		UIManager.put("FileChooser.upFolderToolTipText", "Up");
		UIManager.put("FileChooser.homeFolderToolTipText", "Home");
		UIManager.put("FileChooser.newFolderToolTipText", "New Folder");
		UIManager.put("FileChooser.listViewButtonToolTipText", "List");
		UIManager.put("FileChooser.detailsViewButtonToolTipText", "Details");

		UIManager.put("OptionPane.yesButtonText", "Yes");
		UIManager.put("OptionPane.noButtonText", "No");
		UIManager.put("OptionPane.cancelButtonText", "Cancel");
	}

}
